
GammaLib - Change request #1818

Rename the spatial component names

07/18/2016 11:34 PM - Knödlseder Jürgen

Status: Closed Start date: 07/18/2016

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 80%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Use the following names for spatial components in the XML file:

"PointSource" (alias: "SkyDirFunction")

"RadialDisk" (alias: "DiskFunction")

"RadialGaussian" (alias: "GaussianFunction")

"RadialShell" (alias: "ShellFunction")

"EllipticalDisk"

"EllipticalGaussian" (alias: "EllipticalGauss")

"DiffuseIsotropic" (alias: "ConstantValue")

"DiffuseMap" (alias: "SpatialMap")

"DiffuseMapCube" (alias: "MapCubeFunction")

History

#1 - 07/19/2016 01:23 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 80

Implemented the new names. The old names are still supported. Support for the old names can be turned off by specifying

./configure --disable-legacy-xml-format

#2 - 07/19/2016 01:35 AM - Knödlseder Jürgen

The following names are used for spatial components in the XML file:

"PointSource" (alias: "SkyDirFunction")

"RadialDisk" (alias: "DiskFunction")

"RadialGaussian" (alias: "GaussFunction")

"RadialShell" (alias: "ShellFunction")

"EllipticalDisk"

"EllipticalGaussian" (alias: "EllipticalGauss")

"DiffuseIsotropic" (alias: "ConstantValue")

"DiffuseMap" (alias: "SpatialMap")

"DiffuseMapCube" (alias: "MapCubeFunction")

04/26/2024 1/2



#3 - 07/19/2016 11:35 AM - Mayer Michael

Sounds good. Would it make sense to rename "DiffuseMapCube" to "DiffuseCube"? The latter sounds more unambiguous.

#4 - 07/19/2016 10:17 PM - Knödlseder Jürgen

user#77 wrote:

Sounds good. Would it make sense to rename "DiffuseMapCube" to "DiffuseCube"? The latter sounds more unambiguous.

 

"Cube" does not really specify what kind of cube it is, "Map Cube" is more explicit.

#5 - 07/20/2016 12:19 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

Merged into devel.
